id: wordpress-safe-svg

info:
  name: Safe SVG Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/safe-svg/
  metadata:
    plugin_namespace: safe-svg
    wpscan: https://wpscan.com/plugin/safe-svg
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/safe-svg/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/safe-svg.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a004730450220313508cdb90aaa3417fd9071bda8778c69e07689d2959fc3d7cbc15bd2a7eb2f0221008f9e422fa96cd0beeffc0dddb2b462536eb2fc6e45bed96874133d9d99f6e632:922c64590222798bb761d5b6d8e72950